<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.ULDBean" />
    </data>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <com.mcxtzhang.swipemenulib.SwipeMenuLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/ll_content"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginVertical="5dp"
                    android:background="@drawable/bg_item"
                    android:orientation="horizontal"
                    android:padding="10dp">

                    <ImageView
                        android:id="@+id/iv_icon"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:layout_gravity="center"
                        android:src="@drawable/img_plane"
                        tools:src="@drawable/img_plane" />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <!-- 第一行：ULD编号 | 状态 | 自重 | 所属航司 | 最大装载容积 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">

                            <!-- ULD编号 -->
                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1.5"
                                android:gravity="center_vertical">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="ULD编号："
                                    android:textSize="15sp"
                                    completeSpace="@{5}" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.uld}"
                                    android:textColor="@color/colorPrimary"
                                    android:textSize="15sp" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <!-- 状态 -->
                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="0.8"
                                android:gravity="center_vertical">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="状态："
                                    android:textSize="15sp"
                                    completeSpace="@{3}" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.statusName()}"
                                    android:textColor='@{bean.status.equals("0") ? @color/text_green : @color/red}'
                                    android:textSize="15sp" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <!-- 自重 -->
                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="0.8"
                                android:gravity="center_vertical">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="自重："
                                    android:textSize="15sp"
                                    completeSpace="@{3}" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.uldWeight}"
                                    android:textSize="15sp" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <!-- 所属航司 -->
                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="0.8"
                                android:gravity="center_vertical">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="所属航司："
                                    android:textSize="15sp"
                                    completeSpace="@{5}" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.carrier}"
                                    android:textSize="15sp" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <!-- 最大装载容积 -->
                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1.2"
                                android:gravity="center_vertical">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="最大装载容积："
                                    android:textSize="15sp"
                                    completeSpace="@{7}" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.maxVolume}"
                                    android:textSize="15sp" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <!-- 第二行：最大载重 | 备注 -->
                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="10dp">

                            <!-- 最大载重 -->
                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1.5"
                                android:gravity="center_vertical">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="最大载重："
                                    android:textSize="15sp"
                                    completeSpace="@{5}" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.maxWeight}"
                                    android:textSize="15sp" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <!-- 备注 -->
                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="3.6"
                                android:gravity="center_vertical">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="备注："
                                    android:textSize="15sp"
                                    completeSpace="@{3}" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.remark}"
                                    android:textSize="15sp" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                        </androidx.appcompat.widget.LinearLayoutCompat>

                    </LinearLayout>

                    <ImageView
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:layout_gravity="center"
                        android:layout_marginLeft="10dp"
                        android:src="@drawable/img_pda_right" />

                </androidx.appcompat.widget.LinearLayoutCompat>

            </FrameLayout>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="wrap_content"
                android:layout_height="match_parent">

                <TextView
                    android:id="@+id/tv_modify"
                    style="@style/tv_item_action"
                    android:background="#8313ef"
                    android:text="修改" />

                <TextView
                    android:id="@+id/tv_delete"
                    style="@style/tv_item_action"
                    android:background="@color/red"
                    android:text="删除" />

            </androidx.appcompat.widget.LinearLayoutCompat>

        </com.mcxtzhang.swipemenulib.SwipeMenuLayout>

    </androidx.appcompat.widget.LinearLayoutCompat>
</layout>
